Interface (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Interface interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Interface

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WSPortType

    public interface Interface

extends LogicalElement

An definition of the input, output, and return parameters as well as exception information about an operation. Note that a single interface can contain the definitions for a set of operations.

Naming Rules:
  0="-namespace,interfaceName"
Persistable:
  true
Table Name:
  INTERFACE
Display Name:
  interfaceName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Document[]` | `getDefiningDocs()` The documents that contain the definition of this interface
`boolean` | `getExternal()` Whether the interface is externally advertised (scope of whether something is internal or external is defined by the interface itself)
`java.lang.String` | `getInterfaceName()` The name of the interface (should be globally unique).
`java.lang.String` | `getNamespace()` The XML namespace used in the definition of this interface
`Operation[]` | `getOperations()` The operations contained in this interface
`boolean` | `hasDefiningDocs()`
`boolean` | `hasExternal()`
`boolean` | `hasInterfaceName()`
`boolean` | `hasNamespace()`
`boolean` | `hasOperations()`
`void` | `setDefiningDocs(Document[] docs)`
`void` | `setExternal(boolean val)`
`void` | `setInterfaceName(java.lang.String name)`
`void` | `setNamespace(java.lang.String name)`
`void` | `setOperations(Operation[] name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getInterfaceName

    java.lang.String getInterfaceName()
                                      throws AttributeNotSetException

  The name of the interface (should be globally unique).

  Throws:
    `AttributeNotSetException`

### setInterfaceName

    void setInterfaceName(java.lang.String name)

### hasInterfaceName

    boolean hasInterfaceName()

### getExternal

    boolean getExternal()
                        throws AttributeNotSetException

  Whether the interface is externally advertised (scope of whether something is internal or external is defined by the interface itself)

  Throws:
    `AttributeNotSetException`

### setExternal

    void setExternal(boolean val)

### hasExternal

    boolean hasExternal()

### getOperations

    Operation[] getOperations()
                              throws AttributeNotSetException

  The operations contained in this interface

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setOperations

    void setOperations(Operation[] name)

### hasOperations

    boolean hasOperations()

### getDefiningDocs

    Document[] getDefiningDocs()
                               throws AttributeNotSetException

  The documents that contain the definition of this interface

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setDefiningDocs

    void setDefiningDocs(Document[] docs)

### hasDefiningDocs

    boolean hasDefiningDocs()

### getNamespace

    java.lang.String getNamespace()
                                  throws AttributeNotSetException

  The XML namespace used in the definition of this interface

  Throws:
    `AttributeNotSetException`

### setNamespace

    void setNamespace(java.lang.String name)

### hasNamespace

    boolean hasNamespace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD